/*
	Code generation for the following grammar segment:
	
	DoStatement := "do" Statement "while" "(" Expression ")" ";"
*/

package salsa_lite.core.compiler.definitions;

import salsa_lite.core.compiler.SalsaParser;
import salsa_lite.core.compiler.SimpleNode;

public class DoStatement extends SimpleNode {

	public DoStatement(int id) 					{ super(id); }
	public DoStatement(SalsaParser p, int id)	{ super(p, id); }

	public String getJavaCode() {
		return "do " + getChild(0).getJavaCode() + " while (" + getChild(1).getJavaCode() + ");\n";
	}
}
