package salsa_lite.wwc.stage;

import java.io.Serializable;

public class UpdatedInvalidReferenceMessage implements Serializable {

	private int hashcode;

	private String sourceHost;
	private int sourcePort;
	private String referenceId;

	public UpdatedInvalidReferenceMessage(String sourceHost, int sourcePort, String referenceId) {
		this.sourceHost = sourceHost;
		this.sourcePort = sourcePort;
		this.referenceId = referenceId;

		this.hashcode = referenceId.hashCode();
	}

	public String getSourceHost()		{ return sourceHost; }
	public int getSourcePort()		{ return sourcePort; }
	public String getInvalidId()		{ return referenceId; }

	public int hashCode()			{ return hashcode; }
}
